List GPU clusters
curl --request GET \
--url https://api.aireserve.com/v1/gpu/clusters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "requested",
"desiredState": "running",
"accelerator": {
"model": "<string>",
"count": 0,
"perNode": 0
},
"topology": {
"nodes": 0,
"gpusPerNode": 0,
"orchestrator": "none",
"interconnect": "private_network"
},
"runtime": {
"type": "container",
"profile": "<string>"
},
"location": {
"region": "<string>"
},
"storage": {
"rootGbPerNode": 0,
"rootPersistence": "ephemeral",
"volumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persistent": {
"volumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sizeGb": 0,
"mountPath": "<string>",
"usdPerHour": "<string>",
"billsUntilDeleted": true,
"survivesStop": true,
"survivesTerminate": true,
"multiAttach": false,
"status": "<string>"
}
},
"price": {
"usdPerHour": "<string>",
"storageOnlyUsdPerHour": "<string>"
},
"capabilities": {
"start": false,
"stop": false,
"restart": false,
"ssh": true,
"logs": true,
"persistentVolumes": true,
"stopPreservesRootDisk": false
},
"recovery": {
"policy": {
"mode": "none",
"maxAttempts": 5,
"cooldownMinutes": 60
},
"attempts": 0,
"maxAttempts": 0,
"lastAttemptAt": "2023-11-07T05:31:56Z",
"lastOutcome": "recovering"
},
"nodes": [
{
"rank": 0,
"role": "<string>",
"status": "requested",
"overlayIp": "<string>",
"sshAvailable": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}GPU Infrastructure
List GPU clusters
Every multi-node cluster in the organization, newest first, including terminated ones. Requires compute read access.
GET
/
v1
/
gpu
/
clusters
List GPU clusters
curl --request GET \
--url https://api.aireserve.com/v1/gpu/clusters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "requested",
"desiredState": "running",
"accelerator": {
"model": "<string>",
"count": 0,
"perNode": 0
},
"topology": {
"nodes": 0,
"gpusPerNode": 0,
"orchestrator": "none",
"interconnect": "private_network"
},
"runtime": {
"type": "container",
"profile": "<string>"
},
"location": {
"region": "<string>"
},
"storage": {
"rootGbPerNode": 0,
"rootPersistence": "ephemeral",
"volumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persistent": {
"volumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sizeGb": 0,
"mountPath": "<string>",
"usdPerHour": "<string>",
"billsUntilDeleted": true,
"survivesStop": true,
"survivesTerminate": true,
"multiAttach": false,
"status": "<string>"
}
},
"price": {
"usdPerHour": "<string>",
"storageOnlyUsdPerHour": "<string>"
},
"capabilities": {
"start": false,
"stop": false,
"restart": false,
"ssh": true,
"logs": true,
"persistentVolumes": true,
"stopPreservesRootDisk": false
},
"recovery": {
"policy": {
"mode": "none",
"maxAttempts": 5,
"cooldownMinutes": 60
},
"attempts": 0,
"maxAttempts": 0,
"lastAttemptAt": "2023-11-07T05:31:56Z",
"lastOutcome": "recovering"
},
"nodes": [
{
"rank": 0,
"role": "<string>",
"status": "requested",
"overlayIp": "<string>",
"sshAvailable": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Query Parameters
Opaque cursor from a previous page.